Page MenuHomePhabricator

efl.layout.calc
Closed, ResolvedPublic

Description

|interface Efl.Layout.Calc
|├ (P) calc_auto_update_hints
|├ (M) calc_size_min
|├ (M) calc_parts_extends
|├ (M) calc_freeze
|├ (M) calc_thaw
|├ (M) calc_force :: @protected
|├ (E) recalc
|├ (E) circular,dependency
zmike created this task.Jan 8 2019, 11:43 AM
zmike triaged this task as TODO priority.
zmike updated the task description. (Show Details)Jan 9 2019, 6:09 AM
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 28 2019, 8:38 AM

I think this interface looks good, but I'm not sure whether we need to support edje features in efl_ui_image.eo.

zmike added a comment.Jan 29 2019, 8:39 AM

The alternative would be to add explicit methods for signal handling, the names of which would likely conflict with layout signal method naming and guarantee naming conflicts for any case where both classes/interfaces are brought into the same hierarchy.

I think this is good the way it is.

zmike moved this task from Evaluating to Stabilized on the efl: api board.Jan 31 2019, 5:15 AM

The circular,dependency event has a FIXME telling it actually should receive list<string> instead of void. D7981 adds support for container events to C#, allowing the event type to be fixed.

bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.